unit test3Du;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants,
  System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VclTee.TeEngine,
  Vcl.ExtCtrls, VclTee.TeeProcs, VclTee.Chart, VclTee.TeePoin3, VclTee.TeeSurfa,
  VclTee.TeeTools;

type
  Ttest3DF = class(TForm)
    Chart: TChart;
    ChartTool1: TRotateTool;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    vectorsXYZ: TVector3DSeries;
  end;

var
  test3DF: Ttest3DF;

implementation

{$R *.dfm}

procedure Ttest3DF.FormCreate(Sender: TObject);
var
  i: integer;
begin
  vectorsXYZ := TVector3DSeries.create(self);
  Chart.AddSeries(vectorsXYZ);
  with vectorsXYZ do
  begin
    useColorrange := false;
    visible := true;
    SeriesColor := clRed;
    pen.Style := psSolid;
    pen.Width := 4;
    vectorsXYZ.ArrowHeight := 0; { no arrowheads }
    vectorsXYZ.ArrowWidth := 0; { no arrowheads }
    // draw cube:
    addvector(0, 0, 0, 0, 1, 0, inttostr(1));
    addvector(0, 1, 0, 1, 1, 0, inttostr(2));
    addvector(1, 1, 0, 1, 0, 0, inttostr(3));
    addvector(1, 0, 0, 0, 0, 0, inttostr(4));
    addvector(0, 0, 1, 0, 1, 1, inttostr(5));
    addvector(0, 1, 1, 1, 1, 1, inttostr(6));
    addvector(1, 1, 1, 1, 0, 1, inttostr(7));
    addvector(1, 0, 1, 0, 0, 1, inttostr(8));
    addvector(0, 0, 0, 0, 0, 1, inttostr(9));
    addvector(0, 1, 0, 0, 1, 1, inttostr(10));
    addvector(1, 1, 0, 1, 1, 1, inttostr(11));
    addvector(1, 0, 0, 1, 0, 1, inttostr(12));
  end;

end;

end.
